cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/refunds/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/refunds/"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/refunds/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"venue_id": "fJ0vphh0acfytM4yWdAAXZcNPwDRDFpq",
"venue_slug": "pacha",
"type_id": "TCDu2yVBgwCHbBfHZH56HVdzn2vYcjcn",
"type_slug": "general-admission",
"event_id": "xhL6F5eYyeLvc40E2MKmnBQZYf2nU7zT",
"event_slug": "saturday-night-26-09-2022",
"event_date": "2022-09-26",
"channel_id": "6RKUYneVbpbx6g4uBh8QgAe9xrrZq2mb",
"channel_slug": "my-channel",
"user_id": "ueC9A79zeLHMaNSY1hLw94zLu3knNhHT",
"artists": [
"David Guetta",
"Martin Garrix"
],
"day": 26,
"month": 9,
"year": 2022,
"at": "2022-09-15T23:00:00.000Z",
"resource_type": "tickets",
"n_resources": 2,
"resources_ids": [
"ANShQaGXdrYpiDVNAqdzX2u7u6yQBKvf",
"GYnAwwrBX7ATNWX9tiXQbHZ4720uUjKQ"
],
"resource_id": "ANShQaGXdrYpiDVNAqdzX2u7u6yQBKvf",
"total_amount": 20,
"payment_method": "amex",
"refunded": 0,
"sale_type": "online",
"corrective_invoice_reference": "EV24T-COR-H58Z-0000002",
"client_id": "ilnnakdkz000338nzbi7x1xho3WQwKHg",
"payment_id": "tshnakdkz000338nzbi7x1xho3WQwCVI"
}
]
}Refunds
Get refunds
Get all the refunds given a event or a date range. (Only using Fourvenues payments gateway).
GET
/
refunds
/
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Event identifier.
Start date for the range.
End date for the range.
Resource type. (bookings, tickets, name_changes)
Limit of results.
Offset of results.
Filters the refunds matching that resource_id.
⌘I